Skip to main content

Class: TimelineService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:91

Extends​

  • BaseService

Constructors​

Constructor​

new TimelineService(client): TimelineService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:12

Parameters​

client​

TanqoryClient

Returns​

TimelineService

Inherited from​

BaseService.constructor

Properties​

client​

protected client: TanqoryClient

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:10

Inherited from​

BaseService.client

Methods​

addComment()​

addComment(storeId, entityType, entityId, message, attachments?, mentions?): Promise<TimelineEvent>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:115

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

message​

string

attachments?​

TimelineAttachment[]

mentions?​

TimelineMention[]

Returns​

Promise<TimelineEvent>


buildQuery()​

protected buildQuery(options?): Record<string, any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:26

Build query parameters

Parameters​

options?​

ListOptions

Returns​

Record<string, any>

Inherited from​

BaseService.buildQuery


deleteAttachment()​

deleteAttachment(storeId, entityType, entityId, commentId, attachmentId): Promise<void>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:165

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

commentId​

string

attachmentId​

string

Returns​

Promise<void>


deleteAttachmentFile()​

deleteAttachmentFile(storeId, url): Promise<void>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:206

Delete a timeline attachment file from storage. Shared endpoint — not entity-specific.

Parameters​

storeId​

string

url​

string

Returns​

Promise<void>


deleteComment()​

deleteComment(storeId, entityType, entityId, commentId): Promise<void>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:148

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

commentId​

string

Returns​

Promise<void>


editComment()​

editComment(storeId, entityType, entityId, commentId, message): Promise<TimelineEvent>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:133

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

commentId​

string

message​

string

Returns​

Promise<TimelineEvent>


generateIdempotencyKey()​

protected generateIdempotencyKey(prefix): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:19

Generate idempotency key

Parameters​

prefix​

string

Returns​

string

Inherited from​

BaseService.generateIdempotencyKey


getExportMimeType()​

protected getExportMimeType(format): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:45

Get MIME type for export format

Parameters​

format​

string

Returns​

string

Inherited from​

BaseService.getExportMimeType


getMentionableStaff()​

getMentionableStaff(storeId, entityType, entityId): Promise<MentionableStaffMember[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:216

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

Returns​

Promise<MentionableStaffMember[]>


getTimeline()​

getTimeline(storeId, entityType, entityId, options?): Promise<TimelineEvent[]>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:96

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

options?​
cursor?​

string

limit?​

number

Returns​

Promise<TimelineEvent[]>


resendNotification()​

resendNotification(storeId, entityType, entityId, timelineEventId): Promise<TimelineEvent>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:231

Parameters​

storeId​

string

entityType​

TimelineEntityType

entityId​

string

timelineEventId​

string

Returns​

Promise<TimelineEvent>


uploadAttachment()​

uploadAttachment(storeId, file): Promise<{ id: string; name: string; size: number; type: string; url: string; }>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/timeline.ts:183

Upload a timeline attachment file. Shared endpoint — not entity-specific.

Parameters​

storeId​

string

file​

File | Blob

Returns​

Promise<{ id: string; name: string; size: number; type: string; url: string; }>